Package org.jfree.layouting.input.style.keys.page

## Class PageSizeFactory

- java.lang.Object
- - org.jfree.layouting.input.style.keys.page.PageSizeFactory

-     public class PageSizeFactory
      extends java.lang.Object

  This will be replaced by a 'media-names' implementation according to ftp://ftp.pwg.org/pub/pwg/candidates/cs-pwgmsn10-20020226-5101.1.pdf
  Author:
    Thomas Morgner

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static PageSizeFactory` | `getInstance​()` |
    `PageSize` | `getPageSizeByName​(java.lang.String name)` |
    `java.lang.String[]` | `getPageSizeNames​()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getInstance

          public static PageSizeFactory getInstance​()

    - #### getPageSizeByName

          public PageSize getPageSizeByName​(java.lang.String name)

    - #### getPageSizeNames

          public java.lang.String[] getPageSizeNames​()